/*
*
* Copyright (C) 2007 Mike Blamires
* All Rights Reserved
* Released under GPL2.0 - please see attached document.
*
* http://blog.blamires.co.uk/
* mike@blamires.co.uk
*
*/

using System;
using System.Collections.Generic;
using System.Text;

namespace Pop3Protocol.Exceptions {

    public class ClientNotConnectedException : ApplicationException {
        
        public ClientNotConnectedException() :
            base("The TcpClient instance has not been connected or the connection failed, use the Pop3Protocol.connect(string hostname, int port, string username, string password); method before using the commands.") {
        }
        
    }

}
